Bug 842875 - [abrt] thunderbird-14.0-2.fc18: Process /usr/lib64/thunderbird/thunderbird was killed by signal 11 (SIGSEGV)
[abrt] thunderbird-14.0-2.fc18: Process /usr/lib64/thunderbird/thunderbird wa...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: libxcb (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
abrt_hash:e55b5fd9647383b89b7c9686eb6...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-24 15:29 EDT by John Paul Adrian Glaubitz
Modified: 2014-11-18 11:32 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-11-18 11:32:44 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (8.88 KB, text/plain)
2012-07-24 15:29 EDT, John Paul Adrian Glaubitz
no flags Details
File: maps (36.12 KB, text/plain)
2012-07-24 15:30 EDT, John Paul Adrian Glaubitz
no flags Details
File: dso_list (7.39 KB, text/plain)
2012-07-24 15:30 EDT, John Paul Adrian Glaubitz
no flags Details

  None (edit)
Description John Paul Adrian Glaubitz 2012-07-24 15:29:50 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        /usr/lib64/thunderbird/thunderbird
crash_function: xcb_glx_query_server_string_string_length
executable:     /usr/lib64/thunderbird/thunderbird
kernel:         3.5.0-0.rc7.git3.1.fc18.x86_64
pid:            1770
pwd:            /home/glaubitz
time:           Tue 24 Jul 2012 09:10:20 PM CEST
uid:            1000
username:       glaubitz
xsession_errors: 

backtrace:      Text file, 9091 bytes
dso_list:       Text file, 7568 bytes
maps:           Text file, 36983 bytes

build_ids:
:4b4eb46690e54d55a15d9a03965067192ee2da8e
:3f99a64050f0250f5ce48c256031c43595ded63d
:8a11e89a5f5b638dfc986375aa0311a3beb929bd
:3847a2d2cf720d84c4a9593e0136e6c2fd287310
:02dbfaf6f88d886f569d150fc1caefa0d4dfc171
:d7956c106bcbf34d579d02f4de4ef19e861821de
:ba1010ff64fb048bc90855a2a59c68feefaad565
:aa75e4b3c6bd5b59b77b99f070501703617720a1
:aa77ec22f190efe0fe321be1a3ba67ff13ff287a
:563d70dec4e6947b5f320d7c5d86e77649e7809b
:b36248638f1d4766636f43007c0d97b91588473b
:29821cb493942be290d1522d4414bcce7e3cef31
:4f8f766e12cc2cfc9c9eeee499db618dcba618e8
:57b244f992403ea37817da306e4b5d7f26c9c71d
:e196690f4d441b5b833d92358adf4fa69c1a17ee
:04cffac5aa056ae7728f2d446333477252df5a9c
:e9ca8a5c54f0d1761a400aa7877375639e2bf68d
:540803d14b952a9c3d88c6156de4507af5144dd9
:6542ebdf466f9a5929cbac6c8af6b04c897bf190
:e3c00349cb834dcae46f452dd4acc0006d8e9e20
:df7dc196831a7061eba02e86f4de6d0be0b1652f
:03bb6b4a1ee05f54986b2b69d45753e9cf205fe9
:dcab2b52813b40b21da82dabce71b9ffb7d98327
:a6d08f20d431186aa9272c088ccfa4dae9c30b8a
:5d2acc34cd1631f560f9f233011e6e0cb09d19ee
:b4cd4ae809ba37842127d2f9c788129483b50785
:99cbffdef6a0ee533d5e45b83a9454616774abd5
:d7fe13d2ce61a02a4caf438284f870f0302fd6c6
:a658d4ac2b512b97aee0ab92a5eb375e61a2fb30
:642c888a2581344261008c56d44564b98fed9187
:64150b45112d7263e1848b1c288e1063e9be3dbe
:76dd37286fb707214371e9f93e00f876eeba64b3
:b0baacb70e88f90ec798cfe000a6b8b1b3f50bb8
:0db82792ed546a3c338153c4dac432316effbe03
:2c9df6ebbfdfec317c03cd35a6d0901a8421b0ff
:37621d0eb40802690c080e2ee8b594cc6c599ea9
:69695496100412551820d71f8c8368f142972d55
:53d932928ed4a1e36892c98bd6c3be3cbbd9bf05
:f307376fe3960c8c62bd34e5335033cfa1a74a63
:1d52250de81173578aa533dbd3fbe96f2ede1f93
:d0fc26025dc7f921125ba0220f814a87ee4f3192
:189596d7eec45a6dfed8b8f2f25a0c528425ead1
:20c8ec0b42838a9f04de7fd718fdc13c9dfbda1b
:38b1ac5ffbeeb3d75ca926f05c980189a3ed8c78
:39fcb4139da0af119ba44f3a00e6831d331bbf8c
:302edf79a56122b0466df28f02dfdaf992422672
:3290526c8af9409f75c35bc5ab6aee8c8172adb5
:7f5960dfec21b32cf27b259c5eea362eaa942bb8
:2c23fbef9a7b2c892dea865204c08bf58e7ff1b7
:990946a60855f54d18128693baef9082282c9161
:74407a9f7edccb061842b1557cc314f0aa6eb650
:863d42fc542d8b4d68a88e7deb26ae77d9851b78
:f8b6577e8c3e2e6c7898c5996f3bbd800cbea735
:c1643ee39f3b5ed7c8709c866936f79df899f8e9
:be200804490081f48d522ee3f42fe37e7968dc0f
:7c35310fc506498c612d5d982ab03becc4b4817c
:34a3d92331b851873b21277c1ee7dfa68cf791da
:8fea97edbbad044b474de47e34303592028a61c2
:6040fa38ff7af5b8296fc1492c82537a501991fc
:51a3b37635be96860eaae273d3cf637647397e06
:73a4283a31d572826a79d52f43e02193e3238782
:b93a0e1e41dd8a63a9e1c702bcb410414e21a6dc
:7044ed9f08f8ccb5654f878f4e2dcb9269543773
:1268ab999125e6ab7b2a7516e03b11a4778ea5bd
:c5566383bb5b7069f63ec79896abf22aeed44b4d
:f6673549550c63f1312cfd3c60d571d498bd81c8
:28734c6395d21f4db249135fa2db2af30c71426d
:249fc3ff163d612b3f4bd6fcac3261498cd73dec
:a29111896d8c9e4d307ff65579c29bf42111a45c
:4b19fbe173fa91ba6773655034084d8e306167bf
:77c0bbf7bd574ddf3683660583d8bdccfae5c9bb
:24b70618013f32924b0aa5bb7a94d0355f0ad108
:2421bce8034017af80f5fcc0017f25be384be406
:2409645c7384088ad835dc0587af45adedb69faf
:1941c409f40d48d64488f991c7d1c35b93657441
:0bf5ad43d9b555d121b79dd56cff91b996d31448
:de4b9e4aaab135c8f433a030976ba8178c276946
:aeefc33f26407369550c73b85062768af485d4e1
:e7bf7fa17ab8b55cdf964a41dc15e5955f9e1d56
:f2c68d3bd445964aae4d04a7238eaa86f43ab662
:47545f539383516e4291f66585c1ad4b15bacc06
:99d151169a6d2a60cf535f8655480e6161e01190
:6d0319a5f8365571e6a45ddc98b017d314c7d017
:bda2991bbf3818dcf9050e8b5f27cdb82c1d5c70
:dd655fdb28551a63f9a2917e106c2ca434673c88
:e170032ce6dfc92a7dbcc3ea1808215d6e1d36ae

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/glaubitz/2

comment:
:Hi,
:
:I just recently upgraded my Fedora Rawhide with the current updates as of Jul., 24 2012, 21:00 CEST.
:
:I then installed Thunderbird with:
:
:	yum install thunderbird
:
:and ran it from XFCE4. Thunderbird crashed immediately with X restarting, taking me back to the
:login screen.
:
:Cheers,
:
:Adrian

core_backtrace:
:d7fe13d2ce61a02a4caf438284f870f0302fd6c6 0xb170 xcb_glx_query_server_string_string_length libxcb-glx.so.0 -
:3290526c8af9409f75c35bc5ab6aee8c8172adb5 0x44084 __glXQueryServerString libGL.so.1 -
:3290526c8af9409f75c35bc5ab6aee8c8172adb5 0x21962 __glXInitialize libGL.so.1 -
:3290526c8af9409f75c35bc5ab6aee8c8172adb5 0x1d799 glXQueryVersion libGL.so.1 -
:2409645c7384088ad835dc0587af45adedb69faf 0x6b8160 glxtest() libxul.so -
:2409645c7384088ad835dc0587af45adedb69faf 0x6b847b fire_glxtest_process() libxul.so -
:2409645c7384088ad835dc0587af45adedb69faf 0x6b0974 XREMain::XRE_mainInit(nsXREAppData libxul.so -
:2409645c7384088ad835dc0587af45adedb69faf 0x6b4293 XREMain::XRE_main(int, libxul.so -
:2409645c7384088ad835dc0587af45adedb69faf 0x6b4559 XRE_main libxul.so -
:540803d14b952a9c3d88c6156de4507af5144dd9 0x2451 main [exe] -

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=2
:SSH_AGENT_PID=1449
:HOSTNAME=fedora
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:STARTSCIM=y
:DESKTOP_STARTUP_ID=
:SHELL=/bin/bash
:TERM=xterm
:HISTSIZE=1000
:WINDOWID=52428804
:GNOME_KEYRING_CONTROL=/home/glaubitz/.cache/keyring-aza5Yf
:IMSETTINGS_MODULE=none
:USER=glaubitz
:LS_COLORS=rs=0:di=01;34:ln=01;36:mh=00:pi=40;33:so=01;35:do=01;35:bd=40;33;01:cd=40;33;01:or=40;31;01:mi=01;05;37;41:su=37;41:sg=30;43:ca=30;41:tw=30;42:ow=34;42:st=37;44:ex=01;32:*.tar=01;31:*.tgz=01;31:*.arj=01;31:*.taz=01;31:*.lzh=01;31:*.lzma=01;31:*.tlz=01;31:*.txz=01;31:*.zip=01;31:*.z=01;31:*.Z=01;31:*.dz=01;31:*.gz=01;31:*.lz=01;31:*.xz=01;31:*.bz2=01;31:*.tbz=01;31:*.tbz2=01;31:*.bz=01;31:*.tz=01;31:*.deb=01;31:*.rpm=01;31:*.jar=01;31:*.war=01;31:*.ear=01;31:*.sar=01;31:*.rar=01;31:*.ace=01;31:*.zoo=01;31:*.cpio=01;31:*.7z=01;31:*.rz=01;31:*.jpg=01;35:*.jpeg=01;35:*.gif=01;35:*.bmp=01;35:*.pbm=01;35:*.pgm=01;35:*.ppm=01;35:*.tga=01;35:*.xbm=01;35:*.xpm=01;35:*.tif=01;35:*.tiff=01;35:*.png=01;35:*.svg=01;35:*.svgz=01;35:*.mng=01;35:*.pcx=01;35:*.mov=01;35:*.mpg=01;35:*.mpeg=01;35:*.m2v=01;35:*.mkv=01;35:*.ogm=01;35:*.mp4=01;35:*.m4v=01;35:*.mp4v=01;35:*.vob=01;35:*.qt=01;35:*.nuv=01;35:*.wmv=01;35:*.asf=01;35:*.rm=01;35:*.rmvb=01;35:*.flc=01;35:*.avi=01;35:*.fli=01;35:*.flv=01;35:*.gl=01;35:*.dl=01;35:*.xcf=01;35:*.xwd=01;35:*.yuv=01;35:*.cgm=01;35:*.emf=01;35:*.axv=01;35:*.anx=01;35:*.ogv=01;35:*.ogx=01;35:*.aac=01;36:*.au=01;36:*.flac=01;36:*.mid=01;36:*.midi=01;36:*.mka=01;36:*.mp3=01;36:*.mpc=01;36:*.ogg=01;36:*.ra=01;36:*.wav=01;36:*.axa=01;36:*.oga=01;36:*.spx=01;36:*.xspf=01;36:
:SSH_AUTH_SOCK=/tmp/ssh-HrproGAU1296/agent.1296
:GNOME_DISABLE_CRASH_DIALOG=1
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1296,unix/unix:/tmp/.ICE-unix/1296
:MOZ_APP_LAUNCHER=/usr/bin/thunderbird
:MAIL=/var/spool/mail/glaubitz
:PATH=/bin:/usr/bin:/usr/bin:/usr/ucb:/usr/local/sbin:/usr/sbin:/home/glaubitz/.local/bin:/home/glaubitz/bin:/home/glaubitz/.local/bin:/home/glaubitz/bin
:QT_IM_MODULE=xim
:PWD=/home/glaubitz
:XMODIFIERS=@im=none
:LANG=en_US.UTF-8
:GNOME_KEYRING_PID=1294
:HISTCONTROL=ignoredups
:SSH_ASKPASS=/usr/libexec/openssh/gnome-ssh-askpass
:SHLVL=2
:HOME=/home/glaubitz
:XDG_SEAT=seat0
:LOGNAME=glaubitz
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-lU8LmBbZxF,guid=eca2506de2fb69ec6c98fbe4500ef30b
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:DISPLAY=:0.0
:XDG_RUNTIME_DIR=/run/user/1000
:GTK_IM_MODULE=gtk-im-context-simple
:COLORTERM=Terminal

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 15731                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       15731                15731                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/pts/0
:pos:	0
:flags:	0100002
:1:/dev/null
:pos:	0
:flags:	0100001
:2:/dev/null
:pos:	0
:flags:	0100001
:3:socket:[20178]
:pos:	0
:flags:	02004002
:4:pipe:[20175]
:pos:	0
:flags:	01

smolt_data:
:
:
:General
:=================================
:UUID: d3f1345f-f495-4d4f-8089-68e49b842e86
:OS: Fedora release 18 (Rawhide)
:Default run level: Unknown
:Language: en_US.UTF-8
:Platform: x86_64
:BogoMIPS: 6185.94
:CPU Vendor: GenuineIntel
:CPU Model: QEMU Virtual CPU version 1.0
:CPU Stepping: 3
:CPU Family: 6
:CPU Model Num: 2
:Number of CPUs: 1
:CPU Speed: 3092
:System Memory: 1989
:System Swap: 4031
:Vendor: Bochs
:System: Bochs 
:Form factor: Other
:Kernel: 3.5.0-0.rc7.git3.1.fc18.x86_64
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(6900:4098:6900:5) pci, virtio-pci, RAM, Virtio memory balloon
:(4115:184:6900:4352) pci, None, VIDEO, GD 5446
:(6900:4096:6900:1) pci, virtio-pci, ETHERNET, Virtio network device
:(32902:9832:6900:4352) pci, snd_hda_intel, MULTIMEDIA, 82801FB/FBM/FR/FW/FRW (ICH6 Family) High Definition Audio Controller
:(32902:4663:6900:4352) pci, None, HOST/PCI, Qemu virtual machine
:(6900:4097:6900:2) pci, virtio-pci, SCSI, Virtio block device
:(32902:28947:6900:4352) pci, piix4_smbus, BRIDGE, Qemu virtual machine
:(32902:28704:6900:4352) pci, uhci_hcd, USB, Qemu virtual machine
:(32902:28688:6900:4352) pci, ata_piix, STORAGE, Qemu virtual machine
:(32902:28672:6900:4352) pci, None, PCI/ISA, Qemu virtual machine
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/vda3 / ext4 4096 4096 4075750 2938068 2897251 1024000 899727 899727
:/dev/vda1 /boot ext4 1024 1024 508644 393236 367636 128016 127651 127651
:

var_log_messages:
:Jul 24 21:09:40 fedora yum[1213]: Installed: thunderbird-14.0-2.fc18.x86_64
:Jul 24 21:10:20 fedora kernel: [  109.274231] thunderbird[1770]: segfault at c ip 00000036d5e0b170 sp 00007fff46fec538 error 4 in libxcb-glx.so.0.0.0[36d5e00000+15000]
:Jul 24 21:10:21 fedora abrt[1773]: Saved core dump of pid 1770 (/usr/lib64/thunderbird/thunderbird) to /var/spool/abrt/ccpp-2012-07-24-21:10:20-1770 (7065600 bytes)
Comment 1 John Paul Adrian Glaubitz 2012-07-24 15:29:57 EDT
Created attachment 600158 [details]
File: backtrace
Comment 2 John Paul Adrian Glaubitz 2012-07-24 15:30:00 EDT
Created attachment 600159 [details]
File: maps
Comment 3 John Paul Adrian Glaubitz 2012-07-24 15:30:02 EDT
Created attachment 600160 [details]
File: dso_list
Comment 4 Fedora End Of Life 2013-04-03 09:34:21 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19

Note You need to log in before you can comment on or make changes to this bug.